
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android多线程下载 / iVAN</title>

    <meta name="description" content="Android多线程下载 项目源码下载 https://github.com/Wang-Jun-Chao/AndroidProjects 多线程下载 原理:服务器CPU分配给每条线程的时间片相同,服务器带宽平均分配给每条线程,所以客户端开启的线程越多,就能抢占到更多的服务器资源 确定每条线程下载多少数据 发送http请求至下载地址 String path = URL url = new URL(path) HttpURLConnection conn = (HttpURLConnection) url() conn()">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android多线程下载</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>项目源码下载</strong></p>
<p>https://github.com/Wang-Jun-Chao/AndroidProjects</p>
<p><strong>多线程下载</strong></p>
<p>原理：服务器CPU分配给每条线程的时间片相同，服务器带宽平均分配给每条线程，所以客户端开启的线程越多，就能抢占到更多的服务器资源</p>
<h2><strong>确定每条线程下载多少数据</strong></h2>
<p>发送http请求至下载地址</p>
<pre>
        String path =
        URL url = new URL(path)
        HttpURLConnection conn = (HttpURLConnection) url()
        conn()
        conn()
        conn()</pre>
<p>获取文件总长度，然后创建长度一致的临时文件</p>
<pre>
        (conn.getResponseCode() ==){

             length = conn.getContentLength();

            RandomAccessFile raf =  RandomAccessFile(getFileName(path), );

            raf.setLength(length);
            raf.();</pre>
<p>确定线程下载多少数据</p>
<pre>

             blockSize =  / THREAD_COUNT;</pre>
<h2><strong>计算每条线程下载数据的开始位置和结束位置</strong></h2>
<pre>
        (  = ;  &lt;= ; ++){

             startIndex = ( - ) * blockSize;
             endIndex =  * blockSize - ;
            ( == THREAD_COUNT){
                endIndex = length;
            }

            new DownLoadThread(startIndex, endIndex, )();
        }</pre>
<h2><strong>再次发送请求至下载地址，请求开始位置至结束位置的数据</strong></h2>
<pre>
        String path = ;

        URL url =  URL(path);
        HttpURLConnection conn = (HttpURLConnection) url.openConnection();
        conn.setReadTimeout);
        conn.setConnectTimeout);
        conn.setRequestMethod();

        conn.setRequestProperty(,  + startIndex +  + endIndex);
        conn.connect();
* 下载请求到的数据，存放至临时文件中

        (conn.getResponseCode() ==){
            InputStream is = conn.getInputStream();
            RandomAccessFile raf =  RandomAccessFile(getFileName(path), );

            raf.seek(startIndex);
            [] b =  ];
             ;
            while(( = is.read(b)) !=){
                raf.write(b,, );
            }
            raf.();
        }</pre>
<p><strong>带断点续传的多线程下载</strong></p>
<p>定义一个int变量记录每条线程下载的数据总长度，然后加上该线程的下载开始位置，得到的结果就是下次下载时，该线程的开始位置，把得到的结果存入缓存文件</p>
<pre>

         total =;
        while(( = is.read(b)) !=){
            raf.write(b,, );
            total += ;

            RandomAccessFile raf2 =  RandomAccessFile(threadId + , );
            raf2.write((startIndex + total + ).getBytes());
            raf2.();
        }</pre>
<p>下次下载开始时，先读取缓存文件中的值，得到的值就是该线程新的开始位置</p>
<pre>
        FileInputStream fis =  FileInputStream();
        BufferedReader br =  BufferedReader( InputStreamReader(fis));
         text = br.readLine();
        int newStartIndex = .parseInt(text);
        //把读到的值作为新的开始位置
        startIndex = newStartIndex;
        fis.close();</pre>
<p>三条线程都下载完毕之后，删除缓存文件</p>
<pre>
        RUNNING_THREAD--;
        (RUNNING_THREAD == ){
            ( i = ; i &lt;= ; i++){
                File f =  File(i + );
                f.();
            }
        }</pre>
<p><strong>手机版的断点续传多线程下载器</strong></p>
<p>把刚才的代码直接粘贴过来就能用，记得在访问文件时的路径要改成Android的目录，添加访问网络和外部存储的路径</p>
<h2><strong>用进度条显示下载进度</strong></h2>
<p>拿到下载文件总长度时，设置进度条的最大值</p>
<pre>

        pb.setMax();</pre>
<p>进度条需要显示三条线程的整体下载进度，所以三条线程每下载一次，就要把新下载的长度加入进度条</p>
<p>定义一个int全局变量，记录三条线程的总下载长度</p>
<pre>
             progress;</pre>
<pre>
* 刷新进度条
  </pre>
<pre>
            while(( = is.read(b)) !=){
                raf.write(b,, );

                progress += ;
                pb.setProgress(progress);</pre>
<p>每次断点下载时，从新的开始位置开始下载，进度条也要从新的位置开始显示，在读取缓存文件获取新的下载开始位置时，也要处理进度条进度</p>
<pre>
        FileInputStream fis =  FileInputStream(file);
        BufferedReader br =  BufferedReader( InputStreamReader(fis));
        String text = br.readLine();
         newStartIndex = Integer.parseInt(text);

         alreadyDownload = newStartIndex - startIndex;

        progress += alreadyDownload;</pre>
<h2><strong>添加文本框显示百分比进度</strong></h2>
<pre>
        tv(progress *  / pb() + )</pre>
<p><strong>HttpUtils的使用</strong></p>
<p>HttpUtils本身就支持多线程断点续传，使用起来非常的方便</p>
<p>创建HttpUtils对象</p>
<pre>
=</pre>
<p>下载文件</p>
<pre>
        http.download(url,
                target,
                ,
                ,
                 RequestCallBack&lt;File&gt;() {

              (ResponseInfo&lt;File&gt; arg0) {
                tv.setText( + arg0.result.getPath());
            }

              (HttpException arg0, String arg1) {
                tv.setText( + arg1);
            }

              ( total,  current,  isUploading) {
                .onLoading(total, current, isUploading);

                pb.setMax(() total);

                pb.setProgress(() current);
                tv_progress.setText(current *  / total + );
            }
        });</pre>
<p>更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/OS/extra/</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索服务器<br />
                    ，                线程<br />
                    ，                多线程<br />
                    ，                httpurlconnection<br />
                    ，                randomaccessfile<br />
                    ，                conn<br />
                    ，                多线程下载<br />
                    ，                多线程下载文件<br />
                                    android多线程下载<br />
                                    android多线程编程、android多文件下载、美团外卖、jni、handler，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:51:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e7%ba%bf%e7%a8%8b/" title="多线程">多线程</a>, <a href="https://www.iamivan.net/tag/httpurlconnection/" title="httpurlconnection">httpurlconnection</a>, <a href="https://www.iamivan.net/tag/conn/" title="conn">conn</a>, <a href="https://www.iamivan.net/tag/randomaccessfile/" title="randomaccessfile">randomaccessfile</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e7%ba%bf%e7%a8%8b%e4%b8%8b%e8%bd%bd/" title="多线程下载">多线程下载</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e7%ba%bf%e7%a8%8b%e4%b8%8b%e8%bd%bd%e6%96%87%e4%bb%b6/" title="多线程下载文件">多线程下载文件</a>, <a href="https://www.iamivan.net/tag/android%e5%a4%9a%e7%ba%bf%e7%a8%8b%e4%b8%8b%e8%bd%bd/" title="android多线程下载">android多线程下载</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android多线程下载的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmjA8z.html" rel="bookmark">java-为什么我写的android多线程下载程序刚开始速度很快，之后越来越慢？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为什么我写的android多线程下载程序刚开始速度很快,之后越来越慢? 我写的多线程下载程序,用了8个线程,一次读10240byte个字节. 刚开始前几s下载速度显示可以到600多k/s 但是马上就降到个位数或十几k/s 不是网络问题,因为我用别的东西下载速度都会很快. 如果我暂停后恢复又是前几s会很快,之后速度又掉下来了. 这是为什么呢??? 如何保持java下载速度,谢谢! 还有我该如何平衡线程数与一次下载字节间的关系? 解决方案 我感觉是你开启的线程 不够多的原因 供不应求			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeRxk0b.html" rel="bookmark">android多线程下载3</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天跟大家一起分享下android开发中比较难的一个环节,可能很多人看到这个标题就会感觉头很大,的确如果没有良好的编码能力和逻辑思维,这块是很难搞明白的,前面2次总结中已经为大家分享过有关技术的一些基本要领,我们先一起简单回顾下它的基本原理. http://blog.csdn.net/shimiso/article/details/6763664  android 多线程断点续传下载 一 http://blog.csdn.net/shimiso/article/details/6763986 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXBWDp.html" rel="bookmark">android多线程下载2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上一集中,我们简单介绍了如何创建多任务下载,但那种还不能拿来实用,这一集我们重点通过代码为大家展示如何创建多线程断点续传下载,这在实际项目中很常用. main.xml: [html] view plaincopy &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt;   &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKd67WM.html" rel="bookmark">Android多线程下载示例详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.概述 说到Android中的文件下载,Android API中明确要求将耗时的操作放到一个子线程中执行,文件的下载无疑是需要耗费时间的,所以要将文件的下载放到子线程中执行.下面,我们一起来实现一个Android中利用多线程下载文件的小例子. 二.服务端准备 在这个小例子中我以下载有道词典为例,在网上下载有道词典的安装包,在eclipse中新建项目web,将下载的有道词典安装包放置在WebContent目录下,并将项目发布到Tomcat中,具体如下图所示 三.Android实现 1.布局 界面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWl42rp.html" rel="bookmark">android --多线程下载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				多线程下载文件的过程是:     (1)首先获得下载文件的长度,然后设置本地文件的长度.        HttpURLConnection.getContentLength();//获取下载文件的长度       RandomAccessFile file = new RandomAccessFile(&quot;QQSetup.exe&quot;,&quot;rwd&quot;);         file.setLength(filesize);//设置本地文件的长度     (2)根据文件长度和线程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNnnBNM.html" rel="bookmark">android 多线程下载 显示进度 速度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://blog.csdn.net/JianTao_Yang/article/details/8433905 功能要求:从网络下载一APK应用,显示下载速度.进度,并安装应用. 运行效果图: 工程结构图: 很简单,就一个activity,一个更新UI的线程,一个下载线程加个文件处理类 主要代码:   [java] view plaincopy /**   *多线程下载,UI更新类    *@author young   * */   public class MultiThreadDown			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Y7BRp.html" rel="bookmark">android多线程下载模块</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;strong&gt;使用场景&lt;/strong&gt; apk应用内更新,其他中小文件的下载,断点续传下载等,先来看看效果图: &lt;br/&gt; &lt;strong&gt;简单方便的调用接口&lt;/strong&gt; 调用者只要设置好下载路径.文件后缀,丢一个url即可开始下载,并且可以根据需要监听进度,例如:    FileDownloader mDownloader = FileDownloader.getInstance(getApplication()); mDownloa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKJAdb.html" rel="bookmark">android多线程下载1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				想做一个下载功能,当然理想的功能要支持多任务同时下载,断点续传的功能,我想一步一步来,首先困难摆在了多任务这里 开始我的思路是在一个Service中启动下载的流操作,然后通过Service中声明一个Activity中的Handler更新UI(比如进度条...) 可是我发现在Service中声明一个Activity中的Handler是做不到的(可能只是我做不到吧,无法申请内存) 于是,我决定在Activity中直接启动线程,让其运行,调用自身的Handler来更新UI,没想到在这个下载Activi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2egyM.html" rel="bookmark">Android版多线程下载 仿下载助手（最新）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先声明一点: 这里的多线程下载并不是指多个线程下载一个 文件,而是每个线程负责一个文件,今天给大家分享一个多线程下载的 例子.先看一下效果,点击下载开始下载,同时显示下载进度,下载完成,变成程安装,点击安装提示安装应用. 界面效果图: 线程池ThreadPoolExecutor ,先简单学习下这个线程池的使用 /** * Parameters: corePoolSize the number of threads to keep in the pool, even if they are id			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeLn7p.html" rel="bookmark" class="title">WPS表格的超链接功能</a>
					<div>
						希望WPS可以增加超链接的这个功能,如图(像Excel一样).可以和设置超链接到指定工作本的指定表可中!!!还有,我有Excel如上面三个图一样设置了超链接,到WPS点超链接会出现的问题,如最后一图. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeJO8b.html" rel="bookmark" class="title">mootools框架【八】-Dom篇：Css查询支持之Dom&period;js</a>
					<div>
						说明:mootools支持通过Css选择器语法来获取元素节点,以最少的代码做最多的事情.在Dom.js中提供了实现这些功能的工具方法以及元素级的扩展. 1.方法:$E 作用:按照css选择器语法获取第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1B7ez.html" rel="bookmark" class="title">用Visual C&plus;&plus;&period;NET实现XML解析</a>
					<div>
						对于多数开发者来说,Web服务已经成为某种固定不变的东西了,因为他们把Internet看作是促进应用程序应用的最好途径.一些Web服务(例如Amazon.com Web服务)是公共的,并且很容易被要求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY22YQp.html" rel="bookmark" class="title">Contoso学习（三）：排序、过滤及分页</a>
					<div>
						在上一个课程中,我们已经学习了如何使用 EF 对 Student 实体进行增.删.改.查处理.这次的课程我们将对学生的 Index 页面加入排序.过滤以及分页的功能.还要创建一个页面完成简单的分组.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4417p.html" rel="bookmark" class="title">ASP&period;NET MVC是如何运行的&lpar;4&rpar;&colon; Action的执行</a>
					<div>
						作为Controller基类ControllerBase的Execute方法的核心在于对Action方法的执行和作为方法返回的ActionResult的执行,两者的执行是通过一个叫做ActionInv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yNlkz.html" rel="bookmark" class="title">新版Lightroom CC可以除雾霾</a>
					<div>
						  Dehaze操作非常简单,只有一个滑动调节模块,而且已经嵌入到Lr CC的开发面板当中.Adobe表示Dahaze作用就是为了减轻传统&quot;去雾&quot;操作的步骤.另外Dahaze不是单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2vVdb.html" rel="bookmark" class="title">photoshop自动色阶、自动对比度和自动颜色</a>
					<div>
						很多初学者对于照片调色总是无法处理好,不要担心,在photoshop就如同相机一样拥有调色&quot;自动挡&quot;,你可以方便的进行&quot;自动色阶&quot;.&quot;自动对比度&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3Q05M.html" rel="bookmark" class="title">如何在Word中为字符添加上划线</a>
					<div>
						  有时,需要在Word中为字符添加上划线.那么如何在Word中为字符添加上划线呢?本文就来介绍一下在Word中为字符添加上划线的方法. 1.双行合一:依次点击&quot;格式→中文版式→双行合一&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42LmqM.html" rel="bookmark" class="title">数码大师如何制作电子相册</a>
					<div>
						  1.百度搜索数码大师,下载安装,有条件你就付费注册一个,要不就先来学会在说,安装后图标如上图.找出我们要制作的照片和背景伴奏保存桌面,免费的只能做10张照片,伴奏只能一首音乐管他的,我们先学会在说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8GXrp.html" rel="bookmark" class="title">电脑如何进行DNS优选</a>
					<div>
						  具体方法如下: 1.可以使用360安全卫士轻松解决这个问题,点击打开360安全卫士; 2.点击右下角的更多; 3.在右上角的搜索框搜索&quot;DNS优选&quot;; 4.找到后打开&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGNBEp.html" rel="bookmark" class="title">oracle中报ora-01033&colon;oracle initializationg or shutdown in progress错</a>
					<div>
						发现问题 客户Oracle服务器进入PL/SQL Developer时报ora-01033:oracle initializationg or shutdown in progress 错误提示,应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLawr8z.html" rel="bookmark" class="title">hadoop classpath-我在Eclipse中写类WordCount，如何以Hadoop CLASSNAME的命令方式运行</a>
					<div>
						问题描述 我在Eclipse中写类WordCount,如何以Hadoop CLASSNAME的命令方式运行 类WordCount用Eclipse创建在wordcount的Java项目中,对Hadoop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwKPnb.html" rel="bookmark" class="title">PHP新手入门篇基础知识（十一）</a>
					<div>
						11. PHP资源 你可以通过web上的众多资源更多的了解PHP3.许多邮件列表和书籍对你都非常有用. 11.1 站点 PHP的爆炸性流行使得一夜之间出现了很多基于PHP的站点,其中不少站点有在线教程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kR64M.html" rel="bookmark" class="title">银行卡申购货币基金限额是多少？如何提高银行限额？</a>
					<div>
						银行卡申购货币基金限额是多少?如何提高银行限额?各家银行对于货币基金的申购限额都有明确的规定.目前我国四大银行已经将余额宝申购限额,如支付宝快捷支付额度调低到了单笔最高5000元,每月不超过5万元.银 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQj3dp.html" rel="bookmark" class="title">二维码-Android 导入library 运行时提示NotFoundClass</a>
					<div>
						问题描述 Android 导入library 运行时提示NotFoundClass 用eclipseADT 写一个简单的APP,其中包括二维码扫码 需要用到 ImageIO 等外部类,于是导入了JRE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr4o8M.html" rel="bookmark" class="title">DBSPI40-1&colon; Unable to fetch data from table &amp;&num;039&semi;V&dollar;SYSSTAT&amp;&num;039&semi; &lbrack;ORA-03135&colon; connection lost contact&rsqb;</a>
					<div>
						先看一下oracle错误ORA-03135: connection lost contact 今晚遇到这个错误,给王工打电话,让我忽略,我之前以为是连接不到数据库了呢..好吧,我明天把它整理出来. 由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7PDPp.html" rel="bookmark" class="title">&lbrack;ExtJS5学习笔记&rsqb;第十节 Extjs5新增特性之ViewModel和DataBinding</a>
					<div>
						本文作者:sushengmiyan -------------------------------------------------------------资源链接----------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQA6Op.html" rel="bookmark" class="title">XML&lpar;1&rpar;&mdash;&mdash;shema约束之命名空间</a>
					<div>
						一.XML的两种约束DTD和Schema 摘自IBM官网一段话:&quot;XML DTD(XML的文档类型定义)是近几年来XML技术领域所使用的最广泛的一种模式.但是由于XML DTD并不能完全满足 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQkKYp.html" rel="bookmark" class="title">N多人遇到的同样问题--MAGENTO更改网址</a>
					<div>
						MKT同事测试MAGENTO系统,想将LOCALHOST更改为全公司范围内访问. 不慎修改了数据库内的数据之后,指向错乱,图片无法显示,CSS不起作用. 网上找找了文章. 修改APACHE的根本目录应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKVjNb.html" rel="bookmark" class="title">link环境下正在制作一款《订餐软件》，如何开发一个流转单的功能呢？流转单的实现是什么？</a>
					<div>
						问题描述 link环境下正在制作一款&lt;订餐软件&gt;,如何开发一个流转单的功能呢?流转单的实现是什么? link环境下正在制作一款&lt;订餐软件&gt;,如何开发一个流转单的功能呢?流转单的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj2o7M.html" rel="bookmark" class="title">图片轮播，不知道这是什么错误啊啊 android</a>
					<div>
						问题描述 图片轮播,不知道这是什么错误啊啊 android 解决方案 ImageLoader需要初始化有没有初始化语句,详细的参数设置可以看ImageLoader的配置文档 //创建默认的ImageL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlmOXp.html" rel="bookmark" class="title">接到800万元风险投资的我爱网ceo-张力</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 江苏第一家B2B网站--我爱网的CEO张力,居然在我们群里(天道.问君群) 其实说起来也不是今天认识的,有好些天了,平时聊的都很好,很好相处,给人感觉就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKERAz.html" rel="bookmark" class="title">CSS系统学习笔记</a>
					<div>
						权重主要分为 4 个等级: 第一等:代表内联样式,如: style=&quot;&quot;,权值为1000 第二等:代表ID选择器,如:#content,权值为100 第三等:代表类,伪类和属性选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRqowb.html" rel="bookmark" class="title">jquery ajax post实例与详细说明</a>
					<div>
						jquery.post( url, [ data ], [ success(data, textstatus, xmlhttprequest) ], [ datatype ] ) returns: x ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZqNrp.html" rel="bookmark" class="title">如何破解云迁移技术难题</a>
					<div>
						现在情况下,显然企业能够选择验证云应用迁移的业务案例.同时也说明了,与云迁移相关的技术问题会毁了业务案例,破坏应用甚至产生其他方面的像应用性能和稳定性等问题. 考虑实施云迁移的应用架构师们需要审查他们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB4dQM.html" rel="bookmark" class="title">PHP的消息通信机制测试实例&lowbar;php技巧</a>
					<div>
						本文实例讲述了PHP的消息通信机制.分享给大家供大家参考,具体如下: &lt;?php error_reporting(E_ALL&amp;~E_WARNING&amp;~E_NOTICE); /** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAR7ZM.html" rel="bookmark" class="title">教程-canphp 是没有使用手册的吗</a>
					<div>
						问题描述 canphp 是没有使用手册的吗 网上找了一下都是几年前的了,最新的手册没有吗?有木有人用这个开发过的啊?来源代码案例什么的有没有? 解决方案 看看这个是否有帮助 CanPHP框架开发手册  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO4Lqb.html" rel="bookmark" class="title">使用PHPMYADMIN操作mysql数据库添加新用户和数据库的方法&lowbar;php技巧</a>
					<div>
						1.新建数据库: 进入phpmyadmin管理界面以后,找到如下文字&quot;创建一个新的数据库&quot;,然后在下面填上要新建的数据库的名称,在后面的下拉列表中选择数据库的编码,如&quot;u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QKaAM.html" rel="bookmark" class="title">java基础-GUI的监听范围，主要是不知道放哪里</a>
					<div>
						问题描述 GUI的监听范围,主要是不知道放哪里 如何给鼠标拖动的监听加一个方位?我用if没用.我是新手,希望大神说的仔细一点.我们现在在做吃鱼这个游戏					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdDyQM.html" rel="bookmark" class="title">3389 远程桌面连接的使用技巧&lowbar;win服务器</a>
					<div>
						在局域网中为了方便与其他工作站交流信息,我们常常会用到远程桌面功能,许多人会认为这样的功能简单得几乎不值一提,不过在实际使用过程中,我们有时会遇到各种特殊的远程桌面连接需求,要想顺利满足这些特殊的连接 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
